# 6.4. xtp_tools

## 6.4.1. help

### 6.4.1.1. NAME

xtp_tools - Part of the VOTCA package

### 6.4.1.2. SYNOPSIS

xtp_tools [OPTIONS]

xtp_tools [–help]

### 6.4.1.3. DESCRIPTION

Runs excitation/charge transport tools

### 6.4.1.4. OPTIONS

    Allowed options:

      -h [ --help ]                 display this help and exit
      --verbose                     be loud and noisy
      --verbose1                    be very loud and noisy
      -v [ --verbose2 ]             be extremly loud and noisy
      -o [ --options ] arg          Tool user options.
      -t [ --nthreads ] arg (=1)    number of threads to create
      -e [ --execute ] arg        Name of Tool to run
      -l [ --list ]               Lists all available Tools
      -d [ --description ] arg    Short description of a Tools
      -c [ --cmdoptions ] arg     Modify options via command line by e.g. '-c
                                  xmltag.subtag=value'. Use whitespace to separate
                                  multiple options
      -p [ --printoptions ] arg   Prints xml options of a Tool

The following calculators are available:

- 6.4.1.4.1. apdft
- 6.4.1.4.2. coupling
- 6.4.1.4.3. densityanalysis
- 6.4.1.4.4. dftgwbse
- 6.4.1.4.5. diabatization
- 6.4.1.4.6. excitoncoupling
- 6.4.1.4.7. gencube
- 6.4.1.4.8. log2mps
- 6.4.1.4.9. molpol
- 6.4.1.4.10. partialcharges
- 6.4.1.4.11. spectrum
- 6.4.1.4.12. orb2fchk
- 6.4.1.4.13. orb2mol
- 6.4.1.4.14. mol2orb
- 6.4.1.4.15. gpu_benchmark